import React, { useState } from "react";

const SelectFloorPlan: React.FC = () => {
  const [preset, setPreset] = useState("");
  return (
    <div className="select-floorplane-wrapper">
      Don't have an idea? Use these presets!
      <div className="presets-container">
        <button
          className={`preset ${preset === "1" ? "active" : ""}`}
          onClick={() => {
            setPreset("1");
          }}
        >
          Preset 1
        </button>
        <button
          className={`preset ${preset === "2" ? "active" : ""}`}
          onClick={() => {
            setPreset("2");
          }}
        >
          Preset 2
        </button>
      </div>
    </div>
  );
};

export default SelectFloorPlan;
